{% import _self as productLoop %}

<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>
        dispensa
    </title>
</head>
<body>
<div class="container my-4">
    {% if expiredAlready|length > 0 %}
        {{ productLoop.printCard('Oggi, '~ today|date('d/m/Y') ~' sono già scaduti i seguenti prodotti:','text-white bg-danger',expiredAlready) }}
    {% endif %}
    {% if expiredToday|length > 0 %}
        {{ productLoop.printCard('Oggi, '~ today|date('d/m/Y') ~' scadono i seguenti prodotti:','text-dark bg-warning',expiredToday) }}
    {% endif %}
    {% if expiredTomorrow|length > 0 %}
        {{ productLoop.printCard('Domani, scadono i seguenti prodotti:','text-dark bg-info',expiredTomorrow) }}
    {% endif %}
    {% if expiredTomorrowTomorrow|length > 0 %}
        {{ productLoop.printCard('Dopodomani, scadono i seguenti prodotti:','text-dark bg-info',expiredTomorrowTomorrow) }}
    {% endif %}
</div>
</body>
</html>

{% macro printCard(title,class,expiredList) %}
    <div class="card {{ class }} my-4">
        <div class="card-body">
            <h5 class="card-title">{{ title }}</h5>

            {% for list in expiredList %}
                {% set house=list.house %}
                <h6 class="card-subtitle">{{ house.name }}</h6>
                <ul>
                    {% for item in list.expired %}
                        {% set product=item.product %}
                        {% set quantity=item.quantity %}
                        <li>{{ product }} (
                            {% if quantity>1 %}
                                {{ quantity }} pezzi)
                            {% else %}
                                1 pezzo)
                            {% endif %}
                        </li>
                    {% endfor %}
                </ul>
            {% endfor %}

        </div>
    </div>

{% endmacro %}


